TSFWRITE(3ts)

NAME
TSfwrite - TSfwrite API function

SYNOPSIS

#include <ts/ts.h>

    ssize_t TSfwrite(TSFile filep, const void * buf, size_t length)

DESCRIPTION

Attempts to write length bytes of data from the buffer buf to the file filep.

Make sure that filep is open for writing. You might want to check the number of bytes written (TSfwrite() returns this value) against the value of length. If it is less, there might be insufficient space on disk, for example.

The behavior is undefined if length is greater than SSIZE_MAX.

RETURN VALUE

Returns the number of bytes actually written, or -1 if an error occurred.

COPYRIGHT
2020, dev@trafficserver.apache.org